<template>
  <b-container class="main-holding-container" fluid>
      <b-row>
        <b-col cols="20percent">
          <b-card class="side-nav-card subtle-shadow">
            <slot name="sidebar"></slot>
          </b-card>
        </b-col>

        <b-col>
          <b-card class="subtle-shadow" :no-body="noBody">
            <slot name="content"></slot>
          </b-card>
        </b-col>
      </b-row>
  </b-container>
</template>

<script>
export default {
  name: 'SidebarLayout',
  props: {
    noBody: {type: Boolean, default: false}
  }
}
</script>

<style scoped lang="scss">
.main-holding-container {
  margin-top: 15px;

  .col, .col-20percent {
    padding-left: 5px;
    padding-right: 5px;

    &:first-child {
      padding-left: 10px;
    }
    &:last-child {
      padding-right: 10px;
    }
  }
}
</style>
